
Foreman - Bug #4776

Accessing API does not seem to refresh cookie expiration

03/21/2014 06:13 PM - Justin Sherrill

Status: Closed   

Priority: High   

Assignee: Brad Buckingham   

Category: API   

Target version: 1.5.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Browsing around and staying on katello pages seems to cause the cookie expiration to not be extended, ignoring the idle timeout

Related issues:

Related to Foreman - Bug #4895: API should check for the presence of a CSRF t... Closed 03/26/2014

History

#1 - 03/21/2014 08:16 PM - Mike McCune

- Triaged set to Yes

#2 - 03/21/2014 08:20 PM - Mike McCune

- Triaged deleted (Yes)

#3 - 03/21/2014 08:28 PM - Mike McCune

- Status changed from New to Assigned

- Assignee set to Brad Buckingham

- Triaged set to Yes

#4 - 03/27/2014 08:49 AM - Dominic Cleal

- Project changed from Katello to Foreman

- Category changed from Web UI to API

- Status changed from Assigned to Ready For Testing

- Target version set to 1.8.4

- translation missing: en.field_release set to 4

https://github.com/theforeman/foreman/pull/1321

#5 - 03/27/2014 08:49 AM - Dominic Cleal

- Subject changed from Accessing katello controllers does not seem to refresh cookie expiration to Accessing API does not seem to refresh cookie

expiration

#6 - 03/27/2014 11:41 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

#7 - 03/31/2014 01:21 PM - Dominic Cleal

- Related to Bug #4895: API should check for the presence of a CSRF token when there is a session user added
